diff options
Diffstat (limited to 'scripts')
-rwxr-xr-x[-rw-r--r--] | scripts/dev.sh | 0 | ||||
-rwxr-xr-x[-rw-r--r--] | scripts/install.sh | 14 | ||||
-rwxr-xr-x[-rw-r--r--] | scripts/release.sh | 8 | ||||
-rwxr-xr-x[-rw-r--r--] | scripts/require.sh | 0 | ||||
-rwxr-xr-x[-rw-r--r--] | scripts/update.sh | 14 |
5 files changed, 32 insertions, 4 deletions
diff --git a/scripts/dev.sh b/scripts/dev.sh index 0703ced1..0703ced1 100644..100755 --- a/scripts/dev.sh +++ b/scripts/dev.sh | |||
diff --git a/scripts/install.sh b/scripts/install.sh index 62a46f4f..8b7ea03f 100644..100755 --- a/scripts/install.sh +++ b/scripts/install.sh | |||
@@ -2,6 +2,20 @@ | |||
2 | # You can execute this file to install wallabag | 2 | # You can execute this file to install wallabag |
3 | # eg: `sh install.sh prod` | 3 | # eg: `sh install.sh prod` |
4 | 4 | ||
5 | IGNORE_ROOT_ARG="--ignore-root-warning" | ||
6 | IGNORE_ROOT=0 | ||
7 | |||
8 | if [ "$1" == "$IGNORE_ROOT_ARG" ]; then | ||
9 | IGNORE_ROOT=1 | ||
10 | fi | ||
11 | |||
12 | # Abort running this script if root | ||
13 | if [ "$IGNORE_ROOT" -eq 0 ] && [ "$EUID" == "0" ]; then | ||
14 | echo "Do not run this script as root!" >&2 | ||
15 | echo "Use $IGNORE_ROOT_ARG to ignore this error." >&2 | ||
16 | exit 1 | ||
17 | fi | ||
18 | |||
5 | COMPOSER_COMMAND='composer' | 19 | COMPOSER_COMMAND='composer' |
6 | 20 | ||
7 | DIR="${BASH_SOURCE}" | 21 | DIR="${BASH_SOURCE}" |
diff --git a/scripts/release.sh b/scripts/release.sh index bfb65684..6186a486 100644..100755 --- a/scripts/release.sh +++ b/scripts/release.sh | |||
@@ -1,6 +1,6 @@ | |||
1 | #! /usr/bin/env bash | 1 | #! /usr/bin/env bash |
2 | # You can execute this file to create a new package for wallabag | 2 | # You can execute this file to create a new package for wallabag |
3 | # eg: `sh release.sh master /tmp wllbg-release prod` | 3 | # eg: `sh release.sh 2.3.3 /tmp wllbg-release prod` |
4 | 4 | ||
5 | VERSION=$1 | 5 | VERSION=$1 |
6 | TMP_FOLDER=$2 | 6 | TMP_FOLDER=$2 |
@@ -10,11 +10,11 @@ ENV=$4 | |||
10 | rm -rf $TMP_FOLDER/$RELEASE_FOLDER | 10 | rm -rf $TMP_FOLDER/$RELEASE_FOLDER |
11 | mkdir $TMP_FOLDER/$RELEASE_FOLDER | 11 | mkdir $TMP_FOLDER/$RELEASE_FOLDER |
12 | git clone git@github.com:wallabag/wallabag.git -b $VERSION $TMP_FOLDER/$RELEASE_FOLDER/$VERSION | 12 | git clone git@github.com:wallabag/wallabag.git -b $VERSION $TMP_FOLDER/$RELEASE_FOLDER/$VERSION |
13 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && SYMFONY_ENV=$ENV composer up -n --no-dev | 13 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && SYMFONY_ENV=$ENV COMPOSER_MEMORY_LIMIT=-1 composer up -n --no-dev |
14 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && php bin/console wallabag:install --env=$ENV | 14 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && php bin/console wallabag:install --env=$ENV |
15 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && php bin/console assets:install --env=$ENV --symlink --relative | 15 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && php bin/console assets:install --env=$ENV --symlink --relative |
16 | cd $TMP_FOLDER/$RELEASE_FOLDER && tar czf wallabag-$VERSION.tar.gz --exclude="var/cache/*" --exclude="var/logs/*" --exclude="var/sessions/*" --exclude=".git" $VERSION | 16 | cd $TMP_FOLDER/$RELEASE_FOLDER && tar czf wallabag-$VERSION.tar.gz --exclude="var/cache/*" --exclude="var/logs/*" --exclude="var/sessions/*" --exclude=".git" $VERSION |
17 | echo "MD5 checksum of the package for wallabag $VERSION" | 17 | echo "MD5 checksum of the package for wallabag $VERSION" |
18 | md5 $TMP_FOLDER/$RELEASE_FOLDER/wallabag-$VERSION.tar.gz | 18 | md5 $TMP_FOLDER/$RELEASE_FOLDER/wallabag-$VERSION.tar.gz |
19 | scp $TMP_FOLDER/$RELEASE_FOLDER/wallabag-$VERSION.tar.gz framasoft_bag@78.46.248.87:/var/www/framabag.org/web | 19 | echo "Package to upload to the release server:" |
20 | rm -rf $TMP_FOLDER/$RELEASE_FOLDER | 20 | echo $TMP_FOLDER/$RELEASE_FOLDER/wallabag-$VERSION.tar.gz |
diff --git a/scripts/require.sh b/scripts/require.sh index c48ab936..c48ab936 100644..100755 --- a/scripts/require.sh +++ b/scripts/require.sh | |||
diff --git a/scripts/update.sh b/scripts/update.sh index d0598135..c62d104a 100644..100755 --- a/scripts/update.sh +++ b/scripts/update.sh | |||
@@ -2,6 +2,20 @@ | |||
2 | # You can execute this file to update wallabag | 2 | # You can execute this file to update wallabag |
3 | # eg: `sh update.sh prod` | 3 | # eg: `sh update.sh prod` |
4 | 4 | ||
5 | IGNORE_ROOT_ARG="--ignore-root-warning" | ||
6 | IGNORE_ROOT=0 | ||
7 | |||
8 | if [ "$1" == "$IGNORE_ROOT_ARG" ]; then | ||
9 | IGNORE_ROOT=1 | ||
10 | fi | ||
11 | |||
12 | # Abort running this script if root | ||
13 | if [ "$IGNORE_ROOT" -eq 0 ] && [ "$EUID" == "0" ]; then | ||
14 | echo "Do not run this script as root!" >&2 | ||
15 | echo "Use $IGNORE_ROOT_ARG to ignore this error." >&2 | ||
16 | exit 1 | ||
17 | fi | ||
18 | |||
5 | set -e | 19 | set -e |
6 | set -u | 20 | set -u |
7 | 21 | ||